********************
**C API** (icsneoc)
********************

.. Usage
.. ======

.. Finding Devices
.. ~~~~~~~~~~~~~~~~
.. Finding a device is simple

.. Connecting to Devices
.. ~~~~~~~~~~~~~~~~~~~~~~

Reference
==========

Typedefs
~~~~~~~~~
.. doxygentypedef:: devicehandle_t
.. doxygentypedef:: neodevice_handle_t
.. doxygentypedef:: devicetype_t

Structures
~~~~~~~~~~~
.. doxygenstruct:: neoversion_t
   :members:
   :undoc-members:

.. doxygenstruct:: neodevice_t
   :members:
   :undoc-members:

.. doxygenstruct:: neomessage_t
   :members:
   :undoc-members:

.. doxygenstruct:: neomessage_can_t
   :members:
   :undoc-members:

Functions
~~~~~~~~~~
.. doxygenfile:: icsneoc.h
